/**
 * 時間のクラス
**/
Time = {
	/* プロパティ */
	ClockHor: "",	// 時間のノード名
	ClockMin: "",	// 分のノード名
	/* メソッド */
	Initialize: InitTime,	// 初期化
	SetTime: SetTime		// 時間の設定
};

/**
 * 初期化処理
 * @param{String} 時針のノード名
 * @param{String} 分針のノード名
**/
function InitTime( aHor, aMin )
{
	Time.ClockHor = aHor;
	Time.ClockMin = aMin;
}

/**
 * A3Tに時間を設定する
**/
function SetTime()
{
	var aTime = GetNowTime();
	var aHor = GetHor( aTime );
	var aMin = GetMin( aTime );
	var aSec = GetSec( aTime );
	aHor = aHor * 360 / 12 + aMin * 360 / 12 / 60;
	aMin = aMin * 360 / 60 + aSec * 360 / 60 / 60;
	var aA3tTimeHor = geta3tframetime( aHor );
	var aA3tTimeMin = geta3tframetime( aMin );
	page.a3t.a3itemSetTime( Time.ClockHor, aA3tTimeHor );
	page.a3t.a3itemSetTime( Time.ClockMin, aA3tTimeMin );
}

/**
 * 現在の時間を取得
 * @return{String}
**/
function GetNowTime()
{
	var aTime;
	aTime = system.getInfoString( "system.date.getLocaleTime" );
	return aTime;
}

/**
 * 時間を取得する
 * @param{String} strTime
 * @return{Number}
**/
function GetHor( strTime )
{
	var aNowTime = strTime;
	var aHor;
	if( aNowTime.substring( 0, 1 ) == 0 ){
		aHor = aNowTime.substring( 1, 2 );
	} else {
		aHor = aNowTime.substring( 0, 2 );
	}
	var aHorCheck = aNowTime.substring( 0, 2 );
	if( aHorCheck != "10" && aHorCheck != "11" ) {
		aHor = aHor - 12;
	}
	return 0 + aHor;
}

/**
 * 分を取得する
 * @param{String} strTime
 * @return{Number}
**/
function GetMin( strTime )
{
	var aNowTime = strTime;
	var aMin;
	if( aNowTime.substring( 3, 4 ) == 0 ){
		aMin = aNowTime.substring( 4, 5 );
	} else {
		aMin = aNowTime.substring( 3, 5 );
	}
	return 0 + aMin;
}

/**
 * 秒を取得する
 * @param{String} strTime
 * @return{Number}
**/
function GetSec( strTime )
{
	var aNowTime = strTime;
	var aSec;
	if( aNowTime.substring( 6, 7 ) == 0 ){
		aSec = aNowTime.substring( 7, 8 );
	} else {
		aSec = aNowTime.substring( 6, 8 );
	}
	return 0 + aSec;
}

